Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLScript

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLElementContainer
                        |
                        +--oracle.jdeveloper.html.HTMLScript

Direct Known Subclasses:
  DHTMLButton, DHTMLButtonBar, DHTMLDispArray, DHTMLNoTabControl, DHTMLTabControl, DHTMLTable, DHTMLToolBar, DHTMLTree, JSTreeData

public class HTMLScript
extends DHTMLElementContainer

Represents an HTML script block. You add HTMLScriptFunction function to the block. It will then iterate over all the functions on order to create the full script.

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `version`

Fields inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLScript()`

Method Summary
`void` | `addFunction(HTMLScriptFunction scriptFunction)`
`protected void` | `renderContainerFooter(java.io.PrintWriter out)`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`addElement, addElement, elementAt, indexOf, numberOfElements, removeElement, removeElement, removeElementAt, render, renderElementFooter, renderElementHeader`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    protected java.lang.String version

Constructor Detail

### HTMLScript

    public HTMLScript()

Method Detail

### setVersion

    public void setVersion(java.lang.String version)

### addFunction

    public void addFunction(HTMLScriptFunction scriptFunction)

  Parameters:
    `scriptFunction` - The script function to be added to the script.

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)

  Overrides:
    renderContainerHeader in class DHTMLElementContainer

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Overrides:
    renderContainerFooter in class DHTMLElementContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD